org.apache.cassandra.streaming

## Class StreamRequest

- java.lang.Object
- - org.apache.cassandra.streaming.StreamRequest

-     public class StreamRequest
      extends java.lang.Object

  This class encapsulates the message that needs to be sent to nodes that handoff data. The message contains information about ranges that need to be transferred and the target node. If a file is specified, ranges and table will not. vice-versa should hold as well.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Iterable<ColumnFamilyStore>` | `columnFamilies`
    `protected PendingFile` | `file`
    `protected java.util.Collection<Range<Token>>` | `ranges`
    `static IVersionedSerializer<StreamRequest>` | `serializer`
    `protected java.util.UUID` | `sessionId`
    `protected java.lang.String` | `table`
    `protected java.net.InetAddress` | `target`
    `protected OperationType` | `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut<StreamRequest>` | `createMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<StreamRequest> serializer

    - #### sessionId

          protected final java.util.UUID sessionId

    - #### target

          protected final java.net.InetAddress target

    - #### file

          protected final PendingFile file

    - #### ranges

          protected final java.util.Collection<Range<Token>> ranges

    - #### table

          protected final java.lang.String table

    - #### columnFamilies

          protected final java.lang.Iterable<ColumnFamilyStore> columnFamilies

    - #### type

          protected final OperationType type

  - ### Method Detail

    - #### createMessage

          public MessageOut<StreamRequest> createMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation